Bug 1733023 - Review Request: python-pvc - Python vSphere Client with a dialog interface
Summary: Review Request: python-pvc - Python vSphere Client with a dialog interface
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1733020 (view as bug list)
Depends On: 1733017
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-25 03:34 UTC by Raphael Groner
Modified: 2019-12-05 01:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-05 01:57:14 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Raphael Groner 2019-07-25 03:34:52 UTC
Spec URL: https://raphgro.fedorapeople.org/review/misc//python-pvc.spec
SRPM URL: https://raphgro.fedorapeople.org/review/misc//python-pvc-0.3.0-1.fc30.src.rpm

Description:

PVC is an interactive text-mode VMware vSphere Client with a dialog interface
for GNU/Linux systems built on top of the pyVmomi VMware vSphere API Python bindings.

Using PVC allows you to quickly navigate in your VMware vSphere environment and
perform common tasks against various VMware vSphere Managed Entities.

Comment 1 Raphael Groner 2019-07-25 03:34:55 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=36492287

Comment 2 Raphael Groner 2019-07-25 03:36:26 UTC
*** Bug 1733020 has been marked as a duplicate of this bug. ***

Comment 3 Raphael Groner 2019-07-25 03:36:51 UTC
Planned branches: rawhide, f30
epel7 currently not possible due to missing dependency for python3, bug #1733017

Comment 4 Robert-André Mauchin 2019-07-25 17:44:35 UTC
 - Use:

Source0:        https://github.com/dnaeon/pvc/archive/v%{version}/pvc-%{version}.tar,gz


 - Description line is too jonq, split it to stay below 80 characters

 - Split the docs into a separate noarch subpackage


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 2088960 bytes in 51 files.
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#_documentation


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD 2-clause "Simplified" License", "Unknown or generated",
     "*No copyright* BSD (unspecified)". 32 files have unknown license.
     Detailed output of licensecheck in /home/bob/packaging/review/python-
     pvc/review-python-pvc/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-pvc-0.3.0-1.fc31.noarch.rpm
          python-pvc-0.3.0-1.fc31.src.rpm
python3-pvc.noarch: W: spelling-error Summary(en_US) vSphere -> v Sphere, sphere
python3-pvc.noarch: W: spelling-error %description -l en_US vSphere -> v Sphere, sphere
python3-pvc.noarch: W: spelling-error %description -l en_US pyVmomi -> pyromania
python3-pvc.noarch: E: description-line-too-long C for GNU/Linux systems built on top of the pyVmomi VMware vSphere API Python bindings.
python3-pvc.noarch: W: no-manual-page-for-binary pvc-tui
python-pvc.src: W: spelling-error Summary(en_US) vSphere -> v Sphere, sphere
python-pvc.src: W: spelling-error %description -l en_US vSphere -> v Sphere, sphere
python-pvc.src: W: spelling-error %description -l en_US pyVmomi -> pyromania
python-pvc.src: E: description-line-too-long C for GNU/Linux systems built on top of the pyVmomi VMware vSphere API Python bindings.
2 packages and 0 specfiles checked; 2 errors, 7 warnings.

Comment 5 Raphael Groner 2019-07-27 09:20:08 UTC
SPEC: https://raphgro.fedorapeople.org/review/py/vmw/python-pvc.spec
SRPM: https://raphgro.fedorapeople.org/review/py/vmw/python-pvc-0.3.0-2.fc30.src.rpm

Task info: https://koji.fedoraproject.org/koji/taskinfo?taskID=36607029

%changelog
* Sat Jul 27 2019 Raphael Groner <> - 0.3.0-2
- fix description
- split doc subpackage
- add dialog dependencies for runtime
- ignore manpage warning of rpmlint due to interactive tui, later in scm

Thanks for the review!

Comment 6 Robert-André Mauchin 2019-07-27 15:43:26 UTC
Package approved.

Comment 7 Raphael Groner 2019-07-27 17:49:42 UTC
Oh, I missed a bad typo in URL. Will fix with import.

Comment 9 Igor Gnatenko 2019-07-29 06:30:51 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-pvc

Comment 10 Fedora Update System 2019-07-29 07:38:04 UTC
FEDORA-2019-0593b4b646 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0593b4b646

Comment 11 Raphael Groner 2019-07-29 07:39:40 UTC
epel7 FTBFS...

 # /usr/bin/yum-builddep --installroot /var/lib/mock/epel7-build-17081854-1224677/root/ /var/lib/mock/epel7-build-17081854-1224677/root//builddir/build/SRPMS/python-pvc-0.3.0-2.el7.src.rpm
Last metadata expiration check: 0:00:12 ago on Mon Jul 29 07:31:57 2019.
No matching package to install: 'python36-humanize'
Not all dependencies satisfied
Error: Some packages could not be found.

Comment 12 Fedora Update System 2019-07-30 00:56:07 UTC
python-pvc-0.3.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0593b4b646

Comment 13 Fedora Update System 2019-08-01 12:35:21 UTC
FEDORA-2019-0593b4b646 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0593b4b646

Comment 14 Fedora Update System 2019-08-02 01:01:02 UTC
python-pvc-0.3.0-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Raphael Groner 2019-11-14 15:15:50 UTC
Reopen due to outstanding build for python36 in epel. python36-humanize is now available.

Comment 16 Fedora Update System 2019-11-19 18:09:39 UTC
FEDORA-EPEL-2019-4ff7a96fa8 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-4ff7a96fa8

Comment 17 Fedora Update System 2019-11-20 04:00:36 UTC
python-pvc-0.3.0-5.el8, python-tabulate-0.8.3-8.el8, python-vconnector-0.6.0-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-4ff7a96fa8

Comment 18 Fedora Update System 2019-12-05 01:57:14 UTC
python-pvc-0.3.0-5.el8, python-tabulate-0.8.3-8.el8, python-vconnector-0.6.0-1.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.